Retrieves a specific CPD log entry by its ID
HTTP Basic authentication using your Tenant ID and API secret.
- Username is the Tenant ID (i.e.
eu-west-2_AbcdEfghI) - Password is the API secret you would have received.
You can also authenticate using OAuth 2.0 client credentials (oauth2 security scheme) instead of Basic auth.
OAuth 2.0 client credentials authentication.
Use the following token endpoints (replace :tenantId with your Tenant ID):
Public API access tokens
- Staging:
https://public.api.learnstaging.link/oauth2/token/:tenantId - Production:
https://public.api.learn.link/oauth2/token/:tenantId - Staging MEA:
https://public.api.meastaging.learn.tech/oauth2/token/:tenantId - Production MEA:
https://public.api.mea.learn.tech/oauth2/token/:tenantId
- Staging:
Webhooks access tokens
- Staging:
https://user.api.learnstaging.link/oauth2/token/:tenantId - Production:
https://user.api.learn.link/oauth2/token/:tenantId - Staging MEA:
https://user.api.meastaging.learn.tech/oauth2/token/:tenantId - Production MEA:
https://user.api.mea.learn.tech/oauth2/token/:tenantId
- Staging:
All access tokens must be sent using the Authorization: Bearer <access_token> header.
Scopes
For API access (non-webhooks), the following scopes are available:
api/all– Full read and write access to the API.api/read– Read-only access to the API.api/write– Write access to the API.
For webhooks, the following scopes are available:
api/webhooks– Access to webhook functionality.api/all– Full read and write access to the API, including webhooks.
Tokens must include appropriate scopes for the endpoints you wish to call.
Unique identifier of the CPD log entry
Successful response
{
"logEntryId": "5f9d88d6e1b2a34c56d78902",
"userId": "507f1f77bcf86cd799439011",
"activity": {
"type": "file",
"name": "International Space Station after undocking of STS 132"
},
"category": {
"categoryId": "507f1f77bcf86cd799439012",
"name": "TECHNOLOGY"
},
"entryDate": "2020-09-25T19:34:23.133Z",
"durationMinutes": 15,
"description": null,
"isVerified": true
}Unique ID for this activity record
User ID for the user who triggered this activity record
A reference to the content item associated with a CPD log entry. The type here refers to the content type (e.g. file, article), not an activity action.
The type of content (e.g. file, article, video)
The name of the content item
Unique ID for this category record
Name of the category of CPD activity
The date and time the CPD entry was logged
Minutes logged as CPD from this activity
Summary or reflective statement
Whether or not this activity was determined by user submission or generated based upon verified activity in the system
CPD entry not found